<?php

declare(strict_types=1);

require_once \dirname(__DIR__, 1).'/vendor/autoload.php';

$pdo = new PDO('mysql:dbname='.DB_NAME.';host='.DB_HOST, DB_USER, DB_PASS);

$stmt = $pdo->prepare("SELECT
 kLink AS cWert,
 cName
 FROM tlinksprache
 WHERE cISOSprache = 'ger'
 ORDER BY cName;");
$stmt->execute();

$pages = $stmt->fetchAll(PDO::FETCH_ASSOC);

$options = array_map(static function ($page) {
  global $nSort;
  if (null === $nSort) {
    $nSort = 1;
  }
  $option        = new stdClass();
  $option->cWert = $page['cWert'];
  $option->cName = $page['cName'];
  $option->nSort = $nSort;
  ++$nSort;

  return $option;
}, $pages);

$choice        = new stdClass();
$choice->cWert = 0;
$choice->cName = 'Auswählen';
$choice->nSort = 0;

array_unshift($options, $choice);

return $options;
