<div class="cin_thirdparty">
  <div class="subheading1">Bibliotheken von Fremdanbietern</div>
  <hr>
  <p>Wir bedanken uns bei den im folgenden genannten Fremdentwickler:innen für die Bereitstellung Ihrer Bibliotheken
    oder
    Code-Snippets.</p>
  <div id="accordion" class="thirdparty-list">
    {foreach from=$thirdparty item=$thirdParty}
      {$ti_name = $thirdParty->name|replace:"/":"_"}
      <div class="card">
        <div class="card-header" id="heading_{$ti_name}">
          <h5 class="mb-0">
            <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapse_{$ti_name}"
              aria-expanded="false" aria-controls="collapse_{$ti_name}">
              {$thirdParty->name}
            </button>
          </h5>
        </div>

        <div id="collapse_{$ti_name}" class="collapse" aria-labelledby="heading_{$ti_name}" data-parent="#accordion">
          <div class="card-body">
            <div class="row">
              <div class="tp-version col col-md-4_ col-lg-3">
                <h5>Version:</h5>
                <div>{$thirdParty->version}</div>
              </div>
              <div class="tp-licenses col col-md-4_ col-lg-3">
                <h5>Lizenzen:</h5>
                <ul>
                  {if isset($thirdParty->authors)}
                    {foreach from=$thirdParty->license item=$licenseItem}
                      <li>{$licenseItem}</li>
                    {/foreach}
                  {/if}
                </ul>
              </div>
              <div class="tp-authors col col-md-4_ col-lg-6">
                <h5>Authoren:</h5>
                {if isset($thirdParty->authors)}
                  {foreach from=$thirdParty->authors item=$authorsObject}
                    <div class="card author">
                      <div class="card-header">
                        <h5>{$authorsObject->name}</h5>
                      </div>
                      <div class="card-body">
                        {foreach from=$authorsObject key=$authorsKey item=$authorsItem}
                          {if $authorsKey != 'name'}
                            <div class="row">
                              <span class="d-none d-md-block col-md-4">{$authorsKey}</span>
                              <span>{$authorsItem}</span>
                            </div>
                          {/if}
                        {/foreach}
                      </div>
                    </div>
                  {/foreach}
                {/if}
              </div>
            </div>
          </div>
        </div>
      </div>

    {/foreach}
  </div>
</div>
